EligibilityErrorResponse

object

Error envelope returned by eligibility endpoints on 4xx/5xx responses.

statusinteger

Example:401

errorstring

Example:Unauthorized

messagestring

Example:partyId claim could not be extracted

Example

EligibilityV3Request

object

Optional request body. When omitted or empty, all configured transactions are evaluated.

transactionGroupstring

Filter results to a specific transaction group.

Example:FirstYearTxn

transactionTypesarray[string]

Filter results to specific transaction types.

Example:RiderChange, DBOChange

Example

EligibilityV3TransactionResult

object

Eligibility evaluation results for a transaction type.

transactionGroupstring

Transaction group (from request or configuration).

Example:FirstYearTxn

transactionTypestringrequired

Transaction type.

Example:RiderChange

resultsarray[object]required

Eligibility check result for a transaction, action, and target combination.

Show Child Parameters
Example

EligibilityV3CheckResult

object

Eligibility check result for a transaction, action, and target combination.

eligibilityTypestringrequired

Type of eligibility check.

Allowed values:POLICYUSERRESTRICTION

actionstringrequired

Action being evaluated.

Allowed values:ADDUPDATEDELETEINCREASEDECREASENOT_APPLICABLE

targetobjectrequired

The target of the eligibility check.

Show Child Parameters
eligiblebooleanrequired

Whether the action is eligible for the target.

reasonsarray[object]

Structured reason for an ineligible transaction.

Show Child Parameters
Example

EligibilityV3Target

object

The target of the eligibility check.

typestringrequired

Target type.

Allowed values:RIDERCOVERAGEBENEFIT_OPTIONTRANSACTION

codestringrequired

Target code or identifier.

Example:CITR

Example